epp_ContactCreateReq (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0604.contact.epp_ContactCreateReq class

### org.openrtk.idl.epp0604.contact

# Class epp_ContactCreateReq

- `java.lang.Object`
- - `org.openrtk.idl.epp0604.contact.epp_ContactCreateReq`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_ContactCreateReq`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class that contains the elements necessary to create a contact in the registry. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0604/contact/epp_ContactCreateReq.java,v 1.2 2003/09/10 21:29:57 tubadanm Exp $
$Revision: 1.2 $
$Date: 2003/09/10 21:29:57 $

See Also:
  `EPPContactCreate`, `epp_ContactCreateRsp`

  ## Field Summary
  `epp_ContactNameAddress[]` | `m_addresses` The contact names and addresses to be associated with the contact object.
  `epp_ContactNameAddress` | `m_ascii_address` Deprecated.
  `epp_AuthInfo` | `m_auth_info` The authorization information to be associated with the contact object.
  `epp_Command` | `m_cmd` The common and generic command element.
  `String` | `m_email` The e-mail address of the contact.
  `epp_ContactPhone` | `m_fax` The fax number of the contact.
  `epp_ContactNameAddress` | `m_i15d_address` Deprecated.
  `String` | `m_id` The identifier for the contact to be created.
  `epp_ContactPhone` | `m_voice` The telephone number of the contact.

  ## Constructor Summary
  `epp_ContactCreateReq()` Empty constructor
  `epp_ContactCreateReq(epp_Command _m_cmd, String _m_id, epp_ContactNameAddress _m_ascii_address, epp_ContactNameAddress _m_i15d_address, epp_ContactPhone _m_voice, epp_ContactPhone _m_fax, String _m_email, epp_AuthInfo _m_auth_info)` Deprecated.
  `epp_ContactCreateReq(epp_Command _m_cmd, String _m_id, epp_ContactNameAddress[] _m_addresses, epp_ContactPhone _m_voice, epp_ContactPhone _m_fax, String _m_email, epp_AuthInfo _m_auth_info)` The constructor with initializing variables.

  ## Method Summary
  `epp_ContactNameAddress[]` | `getAddresses()` Accessor method for the contact names and addresses to be associated with the contact object
  `epp_ContactNameAddress` | `getAsciiAddress()` Deprecated.
  `epp_AuthInfo` | `getAuthInfo()` Accessor method for the authorization information to be associated with the contact object
  `epp_Command` | `getCmd()` Accessor method for the common and generic command element
  `String` | `getEmail()` Accessor method for the e-mail address of the contact
  `epp_ContactPhone` | `getFax()` Accessor method for the fax number of the contact
  `epp_ContactNameAddress` | `getI15dAddress()` Deprecated.
  `String` | `getId()` Accessor method for the identifier for the contact to be created
  `String` | `getRoid()` Deprecated.
  `epp_ContactPhone` | `getVoice()` Accessor method for the telephone number of the contact
  `void` | `setAddresses(epp_ContactNameAddress[] value)` Accessor method for the contact names and addresses to be associated with the contact object
  `void` | `setAsciiAddress(epp_ContactNameAddress value)` Deprecated.
  `void` | `setAuthInfo(epp_AuthInfo value)` Accessor method for the authorization information to be associated with the contact object
  `void` | `setCmd(epp_Command value)` Accessor method for the common and generic command element
  `void` | `setEmail(String value)` Accessor method for the e-mail address of the contact
  `void` | `setFax(String value)` Accessor method for the fax number of the contact
  `void` | `setFax(epp_ContactPhone value)` Accessor method for the fax number of the contact
  `void` | `setI15dAddress(epp_ContactNameAddress value)` Deprecated.
  `void` | `setId(String value)` Accessor method for the identifier for the contact to be created
  `void` | `setRoid(String value)` Deprecated.
  `void` | `setVoice(epp_ContactPhone value)` Accessor method for the telephone number of the contact
  `String` | `toString()` Converts this class into a string.

## Field Details

### m_addresses

    public epp_ContactNameAddress[] m_addresses

> The contact names and addresses to be associated with the contact object. EPP permits up to two addresses to be specified. The first must always be internationalized and be represented in a subset of UTF-8 limited to 7-bit US-ASCII. The optional second address may be represented in unrestricted UTF-8.
> See Also:
>   `setAddresses(epp_ContactNameAddress[])`, `getAddresses()`

### m_ascii_address

    public epp_ContactNameAddress m_ascii_address

> Deprecated.

> The contact name and address to be associated with the contact object. Content of this element must be represented in a subset of UTF-8. Note: Usage of this data member is deprecated in favour of the m_addresses member (or better yet, its accessor methods). If this data member is not null, then m_addresses will be ignored.
> See Also:
>   `m_addresses`

### m_auth_info

    public epp_AuthInfo m_auth_info

> The authorization information to be associated with the contact object.
> See Also:
>   `setAuthInfo(epp_AuthInfo)`, `getAuthInfo()`

### m_cmd

    public epp_Command m_cmd

> The common and generic command element.
> See Also:
>   `setCmd(epp_Command)`, `getCmd()`

### m_email

    public String m_email

> The e-mail address of the contact.
> See Also:
>   `setEmail(String)`, `getEmail()`

### m_fax

    public epp_ContactPhone m_fax

> The fax number of the contact.
> See Also:
>   `setFax(epp_ContactPhone)`, `getFax()`

### m_i15d_address

    public epp_ContactNameAddress m_i15d_address

> Deprecated.

> The contact name and address to be associated with the contact object. Content of this element may be represented in unrestricted UTF-8.

> Note: Usage of this data member is deprecated in favour of the m_addresses member (or better yet, its accessor methods). The RTK code will only reference this data member if m_ascii_address is not null.
> See Also:
>   `m_addresses`

### m_id

    public String m_id

> The identifier for the contact to be created.
> See Also:
>   `setId(String)`, `getId()`

### m_voice

    public epp_ContactPhone m_voice

> The telephone number of the contact.
> See Also:
>   `setVoice(epp_ContactPhone)`, `getVoice()`

## Constructor Details

### epp_ContactCreateReq

    public epp_ContactCreateReq()

> Empty constructor

### epp_ContactCreateReq

    public epp_ContactCreateReq(epp_Command _m_cmd,
                                String _m_id,
                                epp_ContactNameAddress _m_ascii_address,
                                epp_ContactNameAddress _m_i15d_address,
                                epp_ContactPhone _m_voice,
                                epp_ContactPhone _m_fax,
                                String _m_email,
                                epp_AuthInfo _m_auth_info)

> Deprecated.

> The constructor with initializing variables.
> Parameters:
>   `_m_cmd` - The common and generic command element
>   `_m_id` - The identifier for the contact to be created
>   `_m_ascii_address` - The ascii contact name and address to be associated with the contact object
>   `_m_i15d_address` - The i15d contact name and address to be associated with the contact object
>   `_m_voice` - The telephone number of the contact
>   `_m_fax` - The fax number of the contact
>   `_m_email` - The e-mail address of the contact
>   `_m_auth_info` - The authorization information to be associated with the contact object

### epp_ContactCreateReq

    public epp_ContactCreateReq(epp_Command _m_cmd,
                                String _m_id,
                                epp_ContactNameAddress[] _m_addresses,
                                epp_ContactPhone _m_voice,
                                epp_ContactPhone _m_fax,
                                String _m_email,
                                epp_AuthInfo _m_auth_info)

> The constructor with initializing variables.
> Parameters:
>   `_m_cmd` - The common and generic command element
>   `_m_id` - The identifier for the contact to be created
>   `_m_addresses` - The contact names and addresses to be associated with the contact object
>   `_m_voice` - The telephone number of the contact
>   `_m_fax` - The fax number of the contact
>   `_m_email` - The e-mail address of the contact
>   `_m_auth_info` - The authorization information to be associated with the contact object
> See Also:
>   `m_addresses`

## Method Details

### getAddresses

    public epp_ContactNameAddress[] getAddresses()

> Accessor method for the contact names and addresses to be associated with the contact object
> Returns:
>   The contact names and addresses
> See Also:
>   `m_addresses`

### getAsciiAddress

    public epp_ContactNameAddress getAsciiAddress()

> Deprecated.

> Accessor method for the ascii contact name and address to be associated with the contact object
> Returns:
>   The contact ascii name and address
> See Also:
>   `m_ascii_address`

### getAuthInfo

    public epp_AuthInfo getAuthInfo()

> Accessor method for the authorization information to be associated with the contact object
> Returns:
>   The contact auth info
> See Also:
>   `m_auth_info`

### getCmd

    public epp_Command getCmd()

> Accessor method for the common and generic command element
> Returns:
>   The command element
> See Also:
>   `m_cmd`

### getEmail

    public String getEmail()

> Accessor method for the e-mail address of the contact
> Returns:
>   The contact's e-mail address
> See Also:
>   `m_email`

### getFax

    public epp_ContactPhone getFax()

> Accessor method for the fax number of the contact
> Returns:
>   The contact's fax number
> See Also:
>   `m_fax`

### getI15dAddress

    public epp_ContactNameAddress getI15dAddress()

> Deprecated.

> Accessor method for the i15d contact name and address to be associated with the contact object
> Returns:
>   The contact i15d name and address
> See Also:
>   `m_i15d_address`

### getId

    public String getId()

> Accessor method for the identifier for the contact to be created
> Returns:
>   The contact id
> See Also:
>   `m_id`

### getRoid

    public String getRoid()

> Deprecated.

> See Also:
>   `getId()`

### getVoice

    public epp_ContactPhone getVoice()

> Accessor method for the telephone number of the contact
> Returns:
>   The contact's telephone number
> See Also:
>   `m_voice`

### setAddresses

    public void setAddresses(epp_ContactNameAddress[] value)

> Accessor method for the contact names and addresses to be associated with the contact object
> Parameters:
>   `value` - The contact names and addresses
> See Also:
>   `m_addresses`

### setAsciiAddress

    public void setAsciiAddress(epp_ContactNameAddress value)

> Deprecated.

> Accessor method for the ascii contact name and address to be associated with the contact object
> Parameters:
>   `value` - The contact ascii name and address
> See Also:
>   `m_ascii_address`

### setAuthInfo

    public void setAuthInfo(epp_AuthInfo value)

> Accessor method for the authorization information to be associated with the contact object
> Parameters:
>   `value` - The contact auth info
> See Also:
>   `m_auth_info`

### setCmd

    public void setCmd(epp_Command value)

> Accessor method for the common and generic command element
> Parameters:
>   `value` - The command element
> See Also:
>   `m_cmd`

### setEmail

    public void setEmail(String value)

> Accessor method for the e-mail address of the contact
> Parameters:
>   `value` - The contact's e-mail address
> See Also:
>   `m_email`

### setFax

    public void setFax(String value)

> Accessor method for the fax number of the contact
> Parameters:
>   `value` - The contact's fax number
> See Also:
>   `m_fax`

### setFax

    public void setFax(epp_ContactPhone value)

> Accessor method for the fax number of the contact
> Parameters:
>   `value` - The contact's fax number
> See Also:
>   `m_fax`

### setI15dAddress

    public void setI15dAddress(epp_ContactNameAddress value)

> Deprecated.

> Accessor method for the i15d contact name and address to be associated with the contact object
> Parameters:
>   `value` - The contact i15d name and address
> See Also:
>   `m_i15d_address`

### setId

    public void setId(String value)

> Accessor method for the identifier for the contact to be created
> Parameters:
>   `value` - The contact id
> See Also:
>   `m_id`

### setRoid

    public void setRoid(String value)

> Deprecated.

> See Also:
>   `setId(String)`

### setVoice

    public void setVoice(epp_ContactPhone value)

> Accessor method for the telephone number of the contact
> Parameters:
>   `value` - The contact's telephone number
> See Also:
>   `m_voice`

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS